View Issue Details

IDProjectCategoryView StatusLast Update
0024524mantisbtplug-inspublic2018-07-07 15:17
Reporter123Assigned Todregad 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0024524: new Calendar plugin
Description

I'm working on a new Calendar plugin.
Initially, I designed it for the mantis 1.2.12, but there is a lot of JavaScript code.

At the moment I'm working on a version for Mantis 2.14.0. It is designed without the use of Javascript and generally uses the Mantis architecture.

Events in the calendar are attached to the project.
You can bind errors to an event.
In principle, everything is intuitively understandable.
Translation into English was done with the help of google translator.

Further description will be added as soon as time appears.
Sorry for my english. My native language is russian.

Steps To Reproduce

https://github.com/brlumen/Calendar

Additional Information

I would like to place my plugin on https://github.com/mantisbt-plugins
But the instruction is at https://www.mantisbt.org/wiki/doku.php/mantisbt:plugins:start
has broken links to the github manual.

TagsNo tags attached.

Activities

123

123

2018-06-25 04:57

reporter   ~0060141

New release https://github.com/brlumen/Calendar/releases/tag/release-2.3.3

  • Google Calendar Sync was added.
  • The settings for days and times are personalized.
  • Added readme file.
atrol

atrol

2018-06-25 05:04

developer   ~0060142

has broken links to the github manual.

@123 I had a short look but did not find broken GitHub links.
Which one does not work for you?

123

123

2018-06-25 05:20

reporter   ~0060144

@atrol Hello!
I already sent a letter to mantisbt-dev@lists.sourceforge.net with the request to add my plugin to the mantisbt-plugin repository.
So far the answer has not been received ...

About the broken links. It is on the page:
https://www.mantisbt.org/wiki/doku.php/mantisbt:plugins:start#access_control

The table has links to the instructions, but they are broken:
https://github.com/organizations/mantisbt-plugins/teams (manage the teams)
https://github.com/organizations/mantisbt-plugins/teams/71669 (Owners)
https://github.com/organizations/mantisbt-plugins/teams/71670 (Core developers)

atrol

atrol

2018-06-25 05:24

developer   ~0060145

The links are not broken.
As described in Wiki, the links are used just by the organization's owners

This section describes how to manage the teams in the organization; it is targeted at the organization's owners.

atrol

atrol

2018-06-25 05:31

developer   ~0060146

I already sent a letter to mantisbt-dev@lists.sourceforge.net

I don't see one https://sourceforge.net/p/mantisbt/mailman/mantisbt-dev/

@dregad Is there a problem with the list? Maybe we should move to Gitter for this?

123

123

2018-06-25 05:42

reporter   ~0060147

@atrol Yes, now I understand. I apologize for the stupid question.

123

123

2018-06-25 05:45

reporter   ~0060148

@atrol , @dregad Please, I'm looking forward to solving my problem. Thank you in advance!

dregad

dregad

2018-06-25 10:27

developer   ~0060153

Is there a problem with the list?

I don't know, I have no access to the list's administration... ask @vboctor.

Maybe we should move to Gitter for this?

Any communication channel is fine with me.

@123 I created a group for your plugin and sent an invitation to brlumen - you should be able to transfer ownership.

123

123

2018-06-25 23:58

reporter   ~0060158

@dregad, I completed transfer ownership.

I would like to keep track of bugs here at https://www.mantisbt.org/bugs/
Could you create a Plugin-Calendar project?

dregad

dregad

2018-06-26 06:20

developer   ~0060167

I would like to keep track of bugs here at https://www.mantisbt.org/bugs/

I noticed you are using Github issues already - probably not a good idea to have 2 trackers. I would recommend to stick to Github so you have everything in one place. And you should switch from Russian to English too.

123

123

2018-06-26 06:49

reporter   ~0060169

Ok.

dregad

dregad

2018-06-27 08:09

developer   ~0060175

Plugin is now available at https://github.com/mantisbt-plugins/Calendar.

Issue History

Date Modified Username Field Change
2018-06-05 05:22 123 New Issue
2018-06-25 04:57 123 Note Added: 0060141
2018-06-25 05:04 atrol Note Added: 0060142
2018-06-25 05:20 123 Note Added: 0060144
2018-06-25 05:24 atrol Note Added: 0060145
2018-06-25 05:31 atrol Note Added: 0060146
2018-06-25 05:42 123 Note Added: 0060147
2018-06-25 05:45 123 Note Added: 0060148
2018-06-25 10:27 dregad Note Added: 0060153
2018-06-25 23:58 123 Note Added: 0060158
2018-06-26 06:20 dregad Note Added: 0060167
2018-06-26 06:49 123 Note Added: 0060169
2018-06-27 08:09 dregad Assigned To => dregad
2018-06-27 08:09 dregad Status new => resolved
2018-06-27 08:09 dregad Resolution open => fixed
2018-06-27 08:09 dregad Note Added: 0060175
2018-06-27 08:10 dregad Reproducibility have not tried => N/A
2018-06-27 08:10 dregad Product Version 2.14.0 =>
2018-07-07 15:17 atrol Status resolved => closed